gnome-flashback (3.56.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback recommend ubuntu-wallpapers.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 01 Aug 2025 11:10:34 +0300

gnome-flashback (3.56.0-1) unstable; urgency=medium

  * New upstream release.
    - Uses correct function to get ibus attribute type (closes: #1096734).
  * Make gnome-flashback recommend tecla.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Apr 2025 22:54:00 +0300

gnome-flashback (3.54.0-1ubuntu2) plucky; urgency=medium

  * Backport three upstream patches (LP: #2065048):
    - screensaver: disconnect signal handlers from auth object
    - desktop: remove idle source in dispose
    - desktop: disconnect size-changed signal handler from dummy icon

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 01 Feb 2025 23:26:16 +0300

gnome-flashback (3.54.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback recommend ubuntu-wallpapers.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 05 Oct 2024 18:23:03 +0300

gnome-flashback (3.54.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump gsettings-desktop-schemas-dev build-dependency to 42.0.
  * Drop all patches, included in the new release.
  * Bump upstream copyright years.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Oct 2024 17:47:42 +0300

gnome-flashback (3.52.1-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.
  * Override picture-uri to use the default Ubuntu wallpaper.
    - Make gnome-session-flashback recommend ubuntu-wallpapers.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 15 Apr 2024 23:15:33 +0300

gnome-flashback (3.52.1-2) unstable; urgency=medium

  * Backport upstream patch to fix use-after-free in timeout_bubble().
  * Backport upstream patch to fix gnome-flashback-polkit crash. (LP: #2037195)
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Apr 2024 22:18:02 +0300

gnome-flashback (3.52.1-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:14:52 +0000

gnome-flashback (3.52.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:07:17 +0000

gnome-flashback (3.52.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.
  * Refresh debian/patches/snap_store.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 24 Mar 2024 11:57:09 +0300

gnome-flashback (3.52.1-1) unstable; urgency=medium

  * New upstream release.
  * Stop using debian/control.in and dh_gnome_clean.
  * Add salsa CI configuration file.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2024 22:45:45 +0300

gnome-flashback (3.50.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:44:03 +0000

gnome-flashback (3.50.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:39:52 +0000

gnome-flashback (3.50.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 27 Sep 2023 23:29:14 +0300

gnome-flashback (3.50.0-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Sep 2023 10:28:11 +0300

gnome-flashback (3.49.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Aug 2023 13:41:54 +0300

gnome-flashback (3.49.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash after plugging volumes while screen is locked.
      (Closes: #1043094)
  * Update debian/copyright.
  * Install /usr/libexec/gnome-flashback-polkit in gnome-flashback.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 12 Aug 2023 13:42:17 +0300

gnome-flashback (3.46.0-2) unstable; urgency=medium

  * Change libgdk-pixbuf2.0-dev B-D to libgdk-pixbuf-2.0-dev.
    (Closes: #1037377)
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 23:32:33 +0300

gnome-flashback (3.46.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 05 Oct 2022 00:25:42 +0300

gnome-flashback (3.46.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump required libgnome-desktop-3-dev version to 43, per configure.ac.
  * Replace libgnome-bluetooth-dev with libgnome-bluetooth-3.0-dev.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Oct 2022 00:31:40 +0300

gnome-flashback (3.45.1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 16 Aug 2022 14:55:23 +0300

gnome-flashback (3.45.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop both patches, included in the new release.
  * Update debian/copyright.
  * Install the new gnome-flashback-idle-monitor daemon.
  * Set Rules-Requires-Root: no.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Aug 2022 17:26:22 +0300

gnome-flashback (3.44.0-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 09:59:21 -0400

gnome-flashback (3.44.0-3) unstable; urgency=medium

  * Cherry-pick patch to fix build with gnome-desktop 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 09:51:09 -0400

gnome-flashback (3.44.0-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 03 Jul 2022 23:46:15 +0300

gnome-flashback (3.44.0-2) unstable; urgency=medium

  * Backport upstream patch to make dialogs respect system theme.
    (LP: #1979120)
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Add more files to debian/clean to fix build twice in a row.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Jul 2022 23:21:09 +0300

gnome-flashback (3.44.0-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 20 Mar 2022 16:25:42 +0300

gnome-flashback (3.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 Mar 2022 17:12:40 +0300

gnome-flashback (3.43.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 14 Mar 2022 00:14:32 +0300

gnome-flashback (3.43.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Drop initialize_logical_monitor_configs.diff.
  * Install some new files.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Mar 2022 00:54:20 +0300

gnome-flashback (3.42.0-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Make gnome-session-flashback depend on dbus-user-session,
        gsettings-desktop-schemas ≥ 40, indicator-common, ubuntu-mono
        and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/snap_store.diff:
      + Replace GNOME Software with Snap Store in the Applications menu.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 11 Nov 2021 15:17:14 +0300

gnome-flashback (3.42.0-2) unstable; urgency=high

  * Backport upstream patch to fix segfault on login.
    Thanks to Timothy Allen for the bug report. (Closes: #998837)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 08 Nov 2021 23:19:43 +0300

gnome-flashback (3.42.0-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Nov 2021 19:49:50 +0300

gnome-flashback (3.40.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Sep 2021 22:02:52 +0300

gnome-flashback (3.40.0-1ubuntu2) impish; urgency=medium

  * debian/gnome-session-flashback.gsettings-override:
    - Remove overrides for power settings that were removed in g-s-d 3.18.
    - Move font-antialiasing into org.gnome.desktop.interface.
      Depend on gsettings-desktop-schemas ≥ 40 where the move happened.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 16 Jul 2021 16:32:47 +0300

gnome-flashback (3.40.0-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Make gnome-session-flashback depend on dbus-user-session,
        indicator-common, ubuntu-mono and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
      + Add Ubuntu epoch to the required nautilus version.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.
  * The new release fixes wallpaper spanning across screens (LP: #1891046).
  * Add a patch to replace GNOME Software with Snap Store in the Applications
    menu (because Ubuntu ships with Snap Store by default).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 26 Mar 2021 13:21:10 +0300

gnome-flashback (3.40.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump libglib2.0-dev dependency to 2.67.3, following configure.ac.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Mar 2021 20:13:25 +0300

gnome-flashback (3.38.0-2) unstable; urgency=medium

  * Backport upstream patch to fix segfault on login on 32-bit systems.
    (Closes: #989139)

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 May 2021 21:56:25 +0300

gnome-flashback (3.38.0-1) unstable; urgency=medium

  * New upstream release.
    - Notifications no longer use gvfs-open (closes: #969778).
  * Update debian/gnome-session-flashback.install for new systemd session
    configuration.
  * Make sure *.gmo files are regenerated during build.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Oct 2020 16:11:47 +0300

gnome-flashback (3.38.0-0ubuntu1) groovy; urgency=medium

  * New upstream stable release.
  * Update debian/gnome-session-flashback.install for new systemd session
    configuration.
  * Remove fi-translation.patch and the temporary code in debian/rules.
  * Rebase debian/patches/load_indicators.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 13 Oct 2020 21:18:06 +0300

gnome-flashback (3.37.3-1ubuntu2) groovy; urgency=medium

  * debian/patches/fi-translation.patch:
    - Add Finnish translation (LP: #1896885)
  * debian/rules:
    - Run update-gmo (only touches fi.gmo)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Thu, 24 Sep 2020 10:03:20 +0300

gnome-flashback (3.37.3-1ubuntu1) groovy; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Make gnome-session-flashback depend on dbus-user-session,
        indicator-common, ubuntu-mono and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.
  * Add Ubuntu epoch to the required nautilus version.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Aug 2020 11:23:09 +0300

gnome-flashback (3.37.3-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Aug 2020 21:04:41 +0300

gnome-flashback (3.37.2-3) experimental; urgency=medium

  * Unregister the old alternative and register the new one on upgrade.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 May 2020 13:17:44 +0300

gnome-flashback (3.37.2-2) experimental; urgency=medium

  * Build against gnome-panel 3.37 and adapt to changed modules path.
  * Move executables to /usr/libexec, to fix executable-in-usr-lib warning.
    FHS v3.0 and Debian Policy v4.1.5 allow for this location.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 May 2020 18:48:54 +0300

gnome-flashback (3.37.2-1ubuntu1) groovy; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable not needed status-notifier-watcher component.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Make gnome-session-flashback depend on dbus-user-session,
        indicator-common, ubuntu-mono and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 18 May 2020 18:44:11 +0300

gnome-flashback (3.37.2-1) experimental; urgency=medium

  * New upstream release.
  * Depend on nautilus ≥ 3.37.1.1, needed for desktop.
  * Update to debhelper compat level 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 May 2020 20:23:03 +0300

gnome-flashback (3.36.3-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Make gnome-session-flashback depend on dbus-user-session,
        indicator-common, ubuntu-mono and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz session script and configuration files.
  * The new release has improvements in desktop component:
    - Added desktop files are now properly recognized (LP: #1875317).
    - Files now can be renamed using F2 key (LP: #1875703).
  * Refresh debian/patches/load_indicators.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 01 May 2020 18:51:39 +0300

gnome-flashback (3.36.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove unused libdbus-glib-1-dev build-dependency. (Closes: #955843)
  * Install the new gnome-flashback-clipboard executable in gnome-flashback
    package.
  * Bump gnome-session-flashback dependency on gnome-flashback to 3.36.3.
  * Update debian/copyright for clipboard code move.
  * Add a comment that our --as-needed overrides upstream --no-as-needed
    (coming from m4/ax_compiler_flags_ldflags.m4), to fix Lintian warning.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Apr 2020 12:29:58 +0300

gnome-flashback (3.36.1-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules, debian/gnome-session-flashback.maintscript:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Make gnome-session-flashback depend on dbus-user-session,
        indicator-common, ubuntu-mono and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 30 Mar 2020 15:29:28 +0300

gnome-flashback (3.36.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Mar 2020 13:47:33 +0300

gnome-flashback (3.36.0-3ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Make gnome-session-flashback depend on dbus-user-session,
        indicator-common, ubuntu-mono and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz configuration files.
  * debian/gnome-session-flashback.maintscript: Add epoch to the version.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 23 Mar 2020 13:55:43 +0300

gnome-flashback (3.36.0-3) unstable; urgency=medium

  * Remove gnome-screensaver autostart file on upgrade. (Closes: #954717)
  * Backport upstream patch to disable unimplemented placement modes.
  * Backport upstream patch to fix locking screen from end session dialog.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Mar 2020 13:11:39 +0300

gnome-flashback (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-session-flashback.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Use Ubuntu VCS fields.
      + Make gnome-session-flashback depend on dbus-user-session,
        indicator-common, ubuntu-mono and yaru-theme-gtk.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz configuration files.
  * Refresh debian/patches/support-indicator-keyboard.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 Mar 2020 13:14:41 +0300

gnome-flashback (3.36.0-2) unstable; urgency=medium

  * Recommend libpam-gnome-keyring, used by the PAM configuration file.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Mar 2020 12:22:06 +0300

gnome-flashback (3.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, included in the new release.
  * Update debian/copyright.
  * Drop system_indicators.a from debian/not-installed.
  * Add debian/gnome-flashback.pam file, copied from gnome-screensaver.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Mar 2020 22:19:48 +0300

gnome-flashback (3.35.2-2) experimental; urgency=medium

  * Build-depend on libasound2-dev to enable ALSA support.
  * Add missing Breaks/Replaces for moving the GSettings override to
    gnome-session-flashback. (Closes: #952688)
  * Backport upstream patch to fix crash in GfInputSourcesButton.
    (LP: #1864506)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Feb 2020 18:38:34 +0300

gnome-flashback (3.35.2-1ubuntu2) focal; urgency=medium

  * No-change rebuild against libgnome-desktop-3-19

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 04:33:05 +0000

gnome-flashback (3.35.2-1ubuntu1) focal; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Add dependencies on dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
      + Make gnome-session-flashback suggest compiz.
      + Build-depend on libcompizconfig0-dev to enable Compiz session
        support.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/gnome-session-flashback.install:
      + Install compiz configuration files.
  * Rebase support-indicator-keyboard.diff.
  * Drop overrides for no longer existent GSettings keys.
  * Move the remaining overrides to gnome-session-flashback, as they are
    specific to GNOME-Flashback session.
  * Switch GTK theme from Ambiance to Yaru.
  * Override default layout for gnome-panel. We already ship an override
    in gnome-panel-data, but gnome-session-flashback ships an upstream
    session-specific override, so we need our own override that has higher
    priority.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 13 Feb 2020 17:02:17 +0300

gnome-flashback (3.35.2-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/clean file.
  * Add new build-dependencies.
  * Drop gnome-screensaver recommendation.
  * Make system-indicators link with math library to fix linker errors.
  * Install the System Indicators panel module in gnome-flashback package.
  * Install gnome-flashback.layout and the GSettings override file in
    gnome-session-flashback package.
  * Update to debhelper compat level 12, use the new syntax.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 11 Feb 2020 23:32:51 +0300

gnome-flashback (3.35.1-1ubuntu2) focal; urgency=medium

  * Install compiz configuration files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Dec 2019 15:18:24 +0300

gnome-flashback (3.35.1-1ubuntu1) focal; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Add dependencies on dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
      + Make gnome-session-flashback suggest compiz.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
  * Drop no longer needed override of obsolete show-desktop-icons setting.
  * Rebase support-indicator-keyboard.diff on the latest upstream changes.
  * Build-depend on libcompizconfig0-dev to enable Compiz session support.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 04 Dec 2019 11:56:11 +0300

gnome-flashback (3.35.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop disable_compiz_session.diff, no longer needed.
  * Build-depend on libsystemd-dev, needed by the new libdesktop component.
  * Stop suggesting compiz, Debian is not shipping a compatible version.
  * Drop obsolete Breaks/Replaces on pre-Stretch package versions.
  * Update the package description to mention desktop icons.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Dec 2019 19:00:25 +0300

gnome-flashback (3.34.2-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Add dependencies on dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/disable_compiz_session.diff:
      + Remove this patch, enable the Compiz session.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 02 Nov 2019 16:14:50 +0300

gnome-flashback (3.34.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Nov 2019 01:12:07 +0300

gnome-flashback (3.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Oct 2019 13:51:33 +0300

gnome-flashback (3.34.0-2) unstable; urgency=medium

  * Bump gnome-session-bin dependency to 3.33.92.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Oct 2019 11:58:14 +0300

gnome-flashback (3.34.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Add dependencies on dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/disable_compiz_session.diff:
      + Remove this patch, enable the Compiz session.
  * Bump gnome-session-bin dependency to 3.33.92, to make sure it provides
    gnome-session-x11-services.target.
  * Refresh debian/patches/load_indicators.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 10 Sep 2019 17:31:49 +0300

gnome-flashback (3.34.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to track only stable versions again.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Sep 2019 16:47:35 +0300

gnome-flashback (3.33.92-1ubuntu1) eoan; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Add dependencies on dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/load_indicators.diff:
      + Load indicators when starting the session via systemd.
    - debian/patches/disable_compiz_session.diff:
      + Remove this patch, enable the Compiz session.
  * Refresh debian/patches/support-indicator-keyboard.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 06 Sep 2019 14:07:29 +0300

gnome-flashback (3.33.92-1) experimental; urgency=medium

  * New upstream release.
  * Drop systemd_unit_dir.diff, applied upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Sep 2019 14:56:32 +0300

gnome-flashback (3.33.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/control.in:
      + Add dependencies on dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/disable_compiz_session.diff:
      + Remove this patch, enable the Compiz session.
  * Remove custom files for systemd session handling. Instead, use the
    upstream target files and modify them to add indicators loading
    (debian/patches/load_indicators.diff).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 19 Aug 2019 18:29:57 +0300

gnome-flashback (3.33.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to track unstable versions.
  * Drop fix_ibus_flicker.diff and fix_shell_memory_leak.diff,
    included in the new release.
  * Backport upstream commit to fix systemd unit files install directory.
  * Install the systemd unit files.
  * Bump gnome-session-flashback dependencies on gnome-flashback and
    gnome-session-bin, to ensure presence of systemd user session support.
  * Bump dependency on gnome-settings-daemon, to make sure it supports the
    new org.gnome.Shell D-Bus interface.
  * Bump gsettings-desktop-schemas-dev build-dependency to 3.31.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Aug 2019 14:53:43 +0300

gnome-flashback (3.32.0-2ubuntu1) eoan; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/gnome-session-flashback.target:
      + The target file for systemd, based on ubuntu-session.target.
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/control.in:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on dbus-user-session, indicator-common and systemd.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/disable_compiz_session.diff:
      + Remove this patch, enable the Compiz session.
  * Refresh support-indicator-keyboard.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Jul 2019 21:39:57 +0300

gnome-flashback (3.32.0-2) experimental; urgency=medium

  * Backport upstream patch to fix ibus indicator flicker. (LP: #1836659)
  * Backport upstream patch to fix memory leak when destroying shell object.
    (LP: #1760336)
  * Add files generated by gdbus-codegen to debian/clean.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Jul 2019 21:21:11 +0300

gnome-flashback (3.32.0-1ubuntu2) eoan; urgency=medium

  * Set document-font-name to "Sans 11", following ubuntu-settings
    (LP: #1828108).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 May 2019 12:31:23 +0300

gnome-flashback (3.32.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/gnome-session-flashback.target:
      + The target file for systemd, based on ubuntu-session.target.
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/control.in:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on dbus-user-session, indicator-common and systemd.
      + Use Ubuntu VCS fields.
      + Make gnome-flashback-common depend on light-themes.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/disable_compiz_session.diff:
      + Remove this patch, enable the Compiz session.
  * Workarounds are removed in the new release (LP: #1824155).
  * Refresh support-indicator-keyboard.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 05 May 2019 14:08:03 +0300

gnome-flashback (3.32.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-handle-ungrab-crash.diff
    - fix-notifications-crash.diff
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 May 2019 13:15:34 +0300

gnome-flashback (3.30.0-3) unstable; urgency=medium

  * Disable the compiz session. Upstream only supports original compiz,
    not compiz-reloaded.
  * Backport upstream patch fixing notifications crash when removing
    monitor (fix-notifications-crash.diff).
  * Backport upstream patch to fix segfault in handle_ungrab_accelerator()
    (fix-handle-ungrab-crash.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Jan 2019 14:02:34 +0300

gnome-flashback (3.30.0-2) unstable; urgency=medium

  * Team upload

  [ Dmitry Shachnev ]
  * Add epoch to the required metacity version (1:3.30.1).

  [ Jeremy Bicha ]
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 11:52:00 -0500

gnome-flashback (3.30.0-1ubuntu6) disco; urgency=medium

  * Backport some fixes for HiDPI and keyboard shortcuts from upstream:
    - backends: add gf_monitor_manager_get_primary_logical_monitor
    - backends: add gf_settings_get_ui_scaling_factor
    - backends: add 'legacy-ui-scaling-factor' property
    - shell: update D-Bus interface

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 24 Mar 2019 15:37:42 +0300

gnome-flashback (3.30.0-1ubuntu5) disco; urgency=medium

  * Make gnome-flashback-common depend on light-themes, as that package
    ships a gsettings-override file which sets gtk-theme to Ambiance.
  * Stop disabling desktop-background component (LP: #1816500).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 19 Feb 2019 15:25:42 +0300

gnome-flashback (3.30.0-1ubuntu4) disco; urgency=medium

  * Drop revert-nautilus-remove.diff. We now have Nautilus 3.30.
  * Also remove dependency on nautilus.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 22 Jan 2019 13:42:26 +0300

gnome-flashback (3.30.0-1ubuntu3) disco; urgency=medium

  * Backport upstream patch to fix segfault in handle_ungrab_accelerator()
    (fix-handle-ungrab-crash.diff; LP: #1725830).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 22 Nov 2018 15:48:24 +0300

gnome-flashback (3.30.0-1ubuntu2) cosmic; urgency=medium

  * Drop fix-button-layout override, that setting no longer exists.
  * Backport upstream patch fixing notifications crash when removing
    monitor (fix-notifications-crash.diff).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Sep 2018 12:30:04 +0300

gnome-flashback (3.30.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/gnome-session-flashback.target:
      + The target file for systemd, based on ubuntu-session.target.
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/control.in:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on dbus-user-session, indicator-common, nautilus
        and systemd.
      + Use Ubuntu VCS fields.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
    - debian/patches/revert-nautilus-remove.diff:
      + Revert removing nautilus-classic from required components. Ubuntu
        18.10 ships Nautilus 3.26, which still has desktop icons support.
  * The new release brings the following features:
    - Accessibility keyboard plugin, supporting sticky keys (LP: #1790744).
    - Per-window input sources support (LP: #1769838).
  * Drop assign-groups-in-order.diff, applied in the new release.
  * Drop trackpoint-settings.diff, applied in the new release.
  * Refresh debian/patches/support-indicator-keyboard.diff.
  * Add epoch to the required metacity version (1:3.30.1).
  * Remove button-layout override which is now present upstream.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 10 Sep 2018 10:47:44 +0300

gnome-flashback (3.30.0-1) unstable; urgency=medium

  * New upstream release.
  * Update suggestion: gnome-user-guide (transitional) → gnome-user-docs.
  * Update the package descriptions (see #895348).
  * Bump required metacity version to 3.30.1.
  * Bump gsettings-desktop-schemas-dev build-dependency to 3.24.0.
  * Make gnome-flashback-common break libglib2.0-bin < 2.57.2, as we need
    glib-compile-schemas that supports per-session overrides.
  * Update debian/copyright.
  * Install NEWS under its original name, not as changelog (Policy 12.7).
  * Bump Standards-Version to 4.2.1.
  * Remove dbgsym migration, it should be no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Sep 2018 23:36:16 +0300

gnome-flashback (3.28.0-1ubuntu3) cosmic; urgency=medium

  * Backport upstream patch to apply mouse speed and natural scroll
    settings also to trackpoints (trackpoint-settings.diff; LP: #1790336).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 02 Sep 2018 09:36:22 +0300

gnome-flashback (3.28.0-1ubuntu2) cosmic; urgency=medium

  * Backport upstream patch to make GNOME Flashback respect keyboard
    layout order from settings (assign-groups-in-order.diff; LP: #1790170).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 31 Aug 2018 19:08:30 +0300

gnome-flashback (3.28.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/gnome-session-flashback.target:
      + The target file for systemd, based on ubuntu-session.target.
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/control.in:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on dbus-user-session, indicator-common, nautilus
        and systemd.
      + Use Ubuntu VCS fields.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
  * Revert removing nautilus-classic from required components.
    Ubuntu 18.04 ships Nautilus 3.26, which still has desktop icons support.
  * Update suggestion: gnome-user-guide → gnome-user-docs (LP: #1691867).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 28 Mar 2018 14:45:38 +0300

gnome-flashback (3.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop gsd-no-a11ykeyboard.diff, included in the new release.
  * Update to debhelper compat level 11.
  * Drop dependency on nautilus.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 26 Mar 2018 11:19:10 +0300

gnome-flashback (3.26.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Dmitry Shachnev ]
  * Backport upstream patch to make the GNOME Flashback session work with
    gnome-settings-daemon 3.28 (gsd-no-a11ykeyboard.diff).
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Mar 2018 15:51:47 +0300

gnome-flashback (3.26.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2017 11:40:24 +0300

gnome-flashback (3.26.0-1ubuntu3) bionic; urgency=medium

  * Backport upstream patch to fix login with g-s-d 3.28 (LP: #1753807).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 07 Mar 2018 00:29:41 +0300

gnome-flashback (3.26.0-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 21:01:29 -0500

gnome-flashback (3.26.0-1ubuntu1) artful; urgency=medium

  * Merge with Debian experimental to get new release that supports GNOME
    Settings Daemon 3.26. Remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/gnome-session-flashback.target:
      + The target file for systemd, based on ubuntu-session.target.
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/control.in:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on systemd, dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
  * Fix a rebase error in support-indicator-keyboard.diff that was introduced
    in 3.24.0-1ubuntu1 upload (LP: #1720344).
  * Use pkg-info.mk to get the source version in debian/rules.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 06 Oct 2017 11:30:54 +0700

gnome-flashback (3.26.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop both patches, they were coming from upstream.
  * Bump libgtk-3-dev build-dependency to 3.22.0, following configure.ac.
  * Bump required gnome-settings-daemon version to 3.26, needed for the
    new display config code.
  * Update debian/copyright.
  * Update debhelper compatibility level to 10.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Oct 2017 19:04:23 +0700

gnome-flashback (3.24.0-2) unstable; urgency=medium

  * Backport upstream commits to fix crashes on computers with touchscreens
    (fix-touchscreen-crashes.diff).
  * Backport upstream commit to fix the disabled Authenticate button in the
    Authentication Agent dialog (polkit-password-entry.diff).
  * Upload to unstable (closes: #869950).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Aug 2017 18:10:49 +0300

gnome-flashback (3.24.0-1ubuntu4) artful; urgency=medium

  * Adjust to gnome-settings-daemon 3.26 removal of Orientation and XRANDR
    plugins (gsd-plugin-removals.diff).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 24 Aug 2017 21:35:27 +0300

gnome-flashback (3.24.0-1ubuntu3) artful; urgency=medium

  * debian/gnome-flashback-common.gsettings-overrides:
    - Copy here some of GSettings overrides from ubuntu-settings package,
      make them specific to GNOME-Flashback sessions.
    - New window buttons layout: appmenu:minimize,maximize,close.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 21 Aug 2017 11:31:57 +0300

gnome-flashback (3.24.0-1ubuntu2) artful; urgency=medium

  * Backport upstream commit to fix the disabled Authenticate button in the
    Authentication Agent dialog (polkit-password-entry.diff; LP: #1698994).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 31 Jul 2017 20:40:12 +0300

gnome-flashback (3.24.0-1ubuntu1) artful; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
    - debian/gnome-session-flashback.target:
      + The target file for systemd, based on ubuntu-session.target.
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/control.in:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on systemd, dbus-user-session and indicator-common.
      + Use Ubuntu VCS fields.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
  * Backport upstream commits to fix crashes on computers with touchscreens
    (fix-touchscreen-crashes.diff; LP: #1706572).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 27 Jul 2017 11:19:25 +0300

gnome-flashback (3.24.0-1) experimental; urgency=medium

  * New upstream release.
  * Add build-dependencies on libgdk-pixbuf2.0-dev and libxfixes-dev,
    following upstream configure.ac.
  * Migrate Vcs fields from Svn to Git.
  * Bump gnome-settings-daemon dependency to 3.23.2.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Make gnome-session-flashback suggest compiz.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Jul 2017 12:05:32 +0300

gnome-flashback (3.24.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Drop git_adapt-to-gsd-324.patch, it was taken from upstream.
  * Rebase support-indicator-keyboard.diff against new version.
  * Add build-dependencies on libgdk-pixbuf2.0-dev and libxfixes-dev,
    following upstream configure.ac.
  * Disable Status Notifier watcher, we are using indicator-application.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Apr 2017 21:30:30 +0300

gnome-flashback (3.22.1-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release.
  * Refresh support-indicator-keyboard.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 14 Mar 2017 23:47:12 +0300

gnome-flashback (3.22.0-3ubuntu2) zesty; urgency=medium

  * Add a patch to support “org.gnome.desktop.input-sources current” key,
    to make indicator-keyboard working (support-indicator-keyboard.diff).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Mar 2017 18:05:11 +0300

gnome-flashback (3.22.0-3ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Make gnome-session-flashback suggest compiz.
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
    - debian/patches/git_adapt-to-gsd-324.patch:
      + Backport upstream patch to adapt to gnome-settings-daemon 3.24.
  * Switch to systemd user sessions, to make the indicators working again:
    - debian/gnome-session-flashback.target:
      + Cloned from ubuntu-session.target.
      + Added indicators we want to load (in Unity session these are handled
        by symlinks in the unity-panel-service.service.wants directory).
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/control:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on systemd, dbus-user-session and indicators-common.
  * Drop debian/gnome-flashback-services.desktop, we now start indicators
    using systemd.
    - Drop it from debian/gnome-session-flashback.install.
    - Drop debian/patches/required_components.diff, no longer needed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 21 Feb 2017 19:50:23 +0300

gnome-flashback (3.22.0-3) unstable; urgency=medium

  * Bump gnome-session-fallback Breaks version to 3.8.4, that was the
    last version of this package (closes: #842367).
  * Make short descriptions a bit more informative (closes: #843143).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Nov 2016 20:45:23 +0300

gnome-flashback (3.22.0-2ubuntu2) zesty; urgency=medium

  * Add git_adapt-to-gsd-324.patch:
    - Backport patch from 3.23 to adapt to gnome-settings-daemon 3.24
  * debian/control.in:
    - Bump minimum gnome-settings-daemon to 3.23.3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Feb 2017 18:42:12 -0500

gnome-flashback (3.22.0-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Make gnome-session-flashback suggest compiz.
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-services.desktop:
      + Emit upstart indicator-services-start signal.
      + Install this file in gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
    - debian/patches/required_components.diff:
      + Add gnome-flashback-services to the RequiredComponents list.
  * Dropped changes:
    - Use unity-settings-daemon instead of gnome-settings-daemon.
    - Do not install gnome-flashback-nm-applet.desktop.
    - Use Unity as desktop name instead of GNOME (desktop_names.diff).
  * Re-enabled automount, idle-monitor, input-sources and shell modules,
    because we no longer use unity-settings-daemon.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 04 Nov 2016 11:24:08 +0300

gnome-flashback (3.22.0-2) unstable; urgency=medium

  * Pass the old, CDBS-like libexecdir to configure.
  * Move gnome-flashback-* scripts back to gnome-session-flashback package
    (closes: #840068).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Oct 2016 13:32:49 +0300

gnome-flashback (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libxi-dev build-dependency, following upstream.
  * Bump gsettings-desktop-schemas-dev build-dependency to 3.21.4,
    following upstream.
  * Update debian/copyright.
  * Convert from cdbs to debhelper.
  * Move gnome-flashback-* scripts to gnome-flashback package, because
    they are now installed into architecture-specific location.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Oct 2016 12:54:46 +0300

gnome-flashback (3.20.2-1ubuntu2) yakkety; urgency=medium

  * Disable shell component (workaround for LP: #1619895).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 04 Sep 2016 19:26:33 +0300

gnome-flashback (3.20.2-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Use unity-settings-daemon instead of gnome-settings-daemon.
      + Make gnome-session-flashback suggest compiz.
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
      + Do not install gnome-flashback-nm-applet.desktop.
    - debian/gnome-flashback-services.desktop:
      + Emit upstart indicator-services-start signal.
      + Install this file in gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
    - Add Ubuntu-specific patches:
      + desktop_names.diff
      + required_components.diff
  * Drop no longer needed Breaks/Replaces on old gnome-menus.
  * Refresh desktop_names.diff.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 10 Aug 2016 10:23:34 +0300

gnome-flashback (3.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Desktop background is now drawn directly on the root window,
      crashes related to the old code should be gone (closes: #827298).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Jul 2016 20:08:06 +0300

gnome-flashback (3.20.1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make gnome-flashback provide notification-daemon.

  [ Laurent Bigonville ]
  * Make gnome-flashback provide polkit-1-auth-agent

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 15:57:15 +0200

gnome-flashback (3.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fixes crash in notifications component (closes: #824656).
  * Revert the previous change. Bluetooth support is not optional and the
    binaries have been removed on non-Linux architectures.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 May 2016 14:36:56 +0300

gnome-flashback (3.20.0-2) unstable; urgency=medium

  * Enable libgnome-bluetooth-dev build-dependency only on linux-any
    (closes: #823038).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2016 22:40:46 +0300

gnome-flashback (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump libgtk-3-dev build-dependency to 3.19.5, following upstream.
  * Migrate to automatic dbgsym packages.
    - Build-depend on debhelper 9.20160114~ for this.
  * Drop gnome-session-flashback dependency on notification-daemon.
    GNOME Flashback now has a built-in notifications mechanism.
    - Depend on the latest gnome-flashback version instead.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Apr 2016 13:50:29 +0300

gnome-flashback (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Move files in /etc/xdg/autostart/ from gnome-flashback-common to
    gnome-session-flashback package.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Feb 2016 15:06:59 +0300

gnome-flashback (3.18.1-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Use https:// for Vcs-Browser.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop no longer needed build-dependency on libxkbcommon-x11-dev.
  * Add new libpango1.0-dev build-dependency.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Oct 2015 11:36:23 +0300

gnome-flashback (3.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Added new module for switching keyboard layouts (closes: #731245).
    - Multiple fixes for display-config module (closes: #735279).
  * Drop build-dependency on gnome-common, no longer needed.
  * Add new build-dependencies:
    - libgnome-bluetooth-dev for bluetooth applet;
    - libibus-1.0-dev, libxkbcommon-x11-dev, libxkbfile-dev, xkb-data
      for input-sources module;
    - libpolkit-agent-1-dev, libpolkit-gobject-1-dev for polkit module.
  * Install /usr/share/desktop-directories in gnome-flashback-common.
  * Update debian/copyright.
  * Drop no longer needed policykit-1-gnome dependency from
    gnome-session-flashback.
  * Tighten some dependencies.
  * Update gnome-flashback package description.
  * Make gnome-flashback suggest gnome-power-manager (the power applet
    tries to call gnome-power-statistics application).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Sep 2015 18:45:14 +0300

gnome-flashback (3.17.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Jun 2015 18:01:18 +0300

gnome-flashback (3.17.2-1) experimental; urgency=medium

  * New upstream release.
    - Adds a workaround for showing the application menu (closes: #773644).
  * Watch unstable releases.
  * Drop ancient gnome-session Replaces.
  * Minor description rewording of gnome-flashback package.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Jun 2015 12:54:07 +0300

gnome-flashback (3.16.1-1) experimental; urgency=medium

  * New upstream release.
    - Asks gnome-session to disable acceleration check (closes: #730495).
  * Drop add_key_grabber.patch, applied upstream.
  * Add new build-dependencies and update existing ones, according to
    configure.ac.
  * Bump gnome-session-bin dependency to a version that supports new
    --disable-acceleration-check option.
  * Make gnome-flashback recommend gnome-settings-daemon 3.15.4, the OSD
    does not work with earlier versions.
  * Relax notification-daemon dependency to support alternative packages
    that provide notification-daemon.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 May 2015 14:07:32 +0300

gnome-flashback (3.14.0-4) experimental; urgency=medium

  * Merge 3.10.0-3 upload from unstable branch.
  * Move gnome-screensaver from Depends to Recommends (it is no longer
    in RequiredComponents list).
  * Make gnome-session-flashback depend on gnome-flashback 3.14,
    to make sure that gnome-flashback-init.desktop is available.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Nov 2014 15:03:19 +0300

gnome-flashback (3.14.0-3) experimental; urgency=medium

  * Fix the regression introduced in previous upload (closes: #769998).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Nov 2014 10:31:36 +0300

gnome-flashback (3.14.0-2) experimental; urgency=medium

  * Add missing postinst/prerm scripts (closes: #769763).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Nov 2014 19:13:48 +0300

gnome-flashback (3.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies for the new release.
  * Build session files from this package as well.
  * Install XDG menu file.
  * Install upstream changelog properly.
  * Add alocal.m4 and configure to debian/clean.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Oct 2014 18:16:49 +0300

gnome-flashback (3.10.0-3) unstable; urgency=medium

  * Add keygrabber module, backported from upstream Git
    (closes: #730096, #727046, #731418 and partially #771922).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Dec 2014 10:11:50 +0300

gnome-flashback (3.10.0-2) unstable; urgency=medium

  * Fix Homepage URL.
  * Add upstream patch to use non-symbolic icons in volume applet
    (closes: #734822).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Dec 2014 11:33:58 +0300

gnome-flashback (3.10.0-1) unstable; urgency=medium

  * Initial upload (closes: #758721).
  * This application solves some problems of the GNOME Flashback session:
    - It draws the background (which will fix #729846).
    - It manages user activity so that gnome-settings-daemon can
      show the mouse cursor.
    - It provides End Session dialogs (which will fix #755140).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Sep 2014 17:09:43 +0400
